<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lesson 1</title>
</head>

<body>

    <script>
        let doc = {
            head: " ",
            body: " ",
            footer: " ",
            data: " ",
            annex: {
                head: " ",
                body: " ",
                footer: " ",
                data: " ",
            },


            fill: function() {
                this.head = prompt("Введите заголок: ");
                this.body = prompt("Введите текст: ");
                this.footer = prompt("Введите заключительный текст: ");
                this.data = prompt("Введите дату: ");

                this.annex.head = prompt("Введите заголок приложения: ");
                this.annex.body = prompt("Введите текст приложения: ");
                this.annex.footer = prompt("Введите заключительный текст приложения: ");
                this.annex.data = prompt("Введите дату приложения: ");
            },
            show: function() {
                document.write("Введите заголок: " + this.head + "<br>");
                document.write("Введите текст: " + this.body + "<br>");
                document.write("Введите заключительный текст: " + this.footer + "<br>");
                document.write("Введите дату: " + this.data + "<br>");

                document.write("Введите заголок приложения: " + this.annex.head + "<br>");
                document.write("Введите текст приложения: " + this.annex.body + "<br>");
                document.write("ведите заключительный текст приложения: " + this.annex.footer + "<br>");
                document.write("Введите дату приложения: " + this.annex.data + "<br>");


            }
        }
        doc.fill();
        doc.show();
    </script>
</body>

</html>

</html>

</html>